Skip to content

insertAttribute

WRITE

Insert attribute.

POST /api/v1/people/insertAttribute
curl -X POST '<your-host>/api/v1/people/insertAttribute' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "attributeDataTypeId": 0,
    "userAttributeCategoryId": "string",
    "canSelfManage": true
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string"
    },
    "attributeDataTypeId": {
      "type": "number"
    },
    "userAttributeCategoryId": {
      "type": "string"
    },
    "listOptions": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "canSelfManage": {
      "type": "boolean"
    }
  },
  "required": [
    "name",
    "attributeDataTypeId",
    "userAttributeCategoryId",
    "canSelfManage"
  ]
}